<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:err="http://gridforum.org/cddlm/serviceAPI/faultsets/2004/10/11/" version="1.0">
  <xsl:output method="text" encoding="UTF-8"/>

  <xsl:template match="/err:faults">
  
  <!-- This XSD file creates a Java file full of constants from constants.xml,
  ready to be compiled. It also tries to do its best with the
  documentation.
  
  When editing this file, remember that the generated Java must be
  valid; the layout is messy and ugly here so that the dest file
  compiles.
  -->

package org.ggf.cddlm.generated.api;

import javax.xml.namespace.QName;    
import org.ggf.cddlm.utils.FaultTemplate;
import java.net.URI;
import java.net.URISyntaxException;
/**
 This file defines SOAP error codes for axis.
 This is machine generated! Do Not Edit!
*/

public class CddlmConstants {
    
    /**
      empty protected constructor -this class can not be instantiated
      but it can be extended.
    */
    protected CddlmConstants() { }

    <xsl:apply-templates select="err:constants">
    </xsl:apply-templates>

    <xsl:apply-templates select="err:faultset">
    </xsl:apply-templates>


  private static URI makeURI(String value) {
        try {
            return new URI(value);
        } catch (URISyntaxException e) {
            throw new RuntimeException("Cannot instantiate URI to "+value,e);
        }
    }
//end class
}

  </xsl:template>

  <!-- this is the faultset handler. 
    creates a const string declaration of the ns
    -->
  <xsl:template match="err:faultset">

 /**
    <xsl:value-of select="err:description"/>
*/

    public static final String
    <xsl:value-of select="@name"/>_NAMESPACE =
    &quot;<xsl:value-of select="@namespace"/>&quot;;

    <xsl:apply-templates select="err:fault"/>
  </xsl:template>


  <!-- for each fault we create const strings for code and wire message
  -->
  <xsl:template match="err:fault">
  
      /**
    <xsl:value-of select="err:documentation"/>
     */
   
     public static final String
    <xsl:value-of select="err:name"/>_FAULTCODE =
    &quot;<xsl:value-of select="err:code"/>&quot;;

        /**
        * text to go with the
    <xsl:value-of select="err:code"/> error
        */
     public static final String
    <xsl:value-of select="err:name"/>_WIRE_MESSAGE =
    &quot;<xsl:value-of select="err:wiremessage"/>&quot;;


        /**
        * text to go with the
    <xsl:value-of select="err:code"/> error
        */
     public static final String
    <xsl:value-of select="err:name"/>_ERROR_MESSAGE =
    &quot;<xsl:value-of select="err:errormessage"/>&quot;;

      /**
    <xsl:value-of select="err:documentation"/>
     */
    public static final QName
      FAULT_<xsl:value-of select="err:name"/>=
            new QName(CDDLM_FAULT_NAMESPACE,
    <xsl:value-of select="err:name"/>_FAULTCODE);
    
    public static final FaultTemplate F_<xsl:value-of select="err:name"/> =
        new FaultTemplate(
            CDDLM_FAULT_NAMESPACE,
            <xsl:value-of select="err:name"/>_FAULTCODE,
            <xsl:value-of select="err:name"/>_WIRE_MESSAGE,
            <xsl:value-of select="err:name"/>_ERROR_MESSAGE
        );
    
    
    
  </xsl:template>


  <!--constants -->
  <xsl:template match="err:constants">
    <xsl:apply-templates select="err:uri"/>
    <xsl:apply-templates select="err:option"/>
    <xsl:apply-templates select="err:string"/>
    <xsl:apply-templates select="err:int"/>
    <xsl:apply-templates select="err:qname"/> 
  </xsl:template>

<xsl:template match="err:description">
    /**
    <xsl:value-of select="."/>
    * . {@value}
    */
</xsl:template>

  <xsl:template match="err:uri|err:option">

    <xsl:apply-templates select="err:description"/>

    public static final String
    <xsl:value-of select="@name"/> =
    &quot;<xsl:value-of select="@value"/>&quot;;

    <xsl:apply-templates select="err:description"/>
public static final URI URI_<xsl:value-of select="@name"/>
        =makeURI("<xsl:value-of select="@value"/>");

  </xsl:template>

  
  
  <xsl:template match="err:string">
    <xsl:apply-templates select="err:description"/>
    public static final String
    <xsl:value-of select="@name"/> =
    &quot;<xsl:value-of select="@value"/>&quot;;
  </xsl:template>

  <xsl:template match="err:int">
    <xsl:apply-templates select="err:description"/>
    public static final int
    <xsl:value-of select="@name"/> =
    <xsl:value-of select="@value"/>;
  </xsl:template>


  <xsl:template match="err:qname">
    <xsl:apply-templates select="err:description"/>
    public static final QName
    <xsl:value-of select="@name"/>
    = new QName(
      <xsl:value-of select="@ns"/>,
      &quot;<xsl:value-of select="@local"/>&quot;);
  </xsl:template>


</xsl:stylesheet>
