<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text"
 	 	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
     doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
	<!--****************************************************************
	    ** "/" template
	    *************************************************************-->
	<xsl:template match="/">
		<xsl:text>\documentclass{beamer}</xsl:text>
		<xsl:text>\usepackage{beamerthemesplit}</xsl:text>
		<xsl:text>\usepackage{array}</xsl:text>
		
		<xsl:text>\title{Schedule}</xsl:text>

		<xsl:text>\author{</xsl:text><xsl:value-of select="schedule/owner/name/first"/> <xsl:text disable-output-escaping="yes"> </xsl:text> <xsl:value-of select="schedule/owner/name/last"/> <xsl:text>}</xsl:text>
		<xsl:text>\begin{document}</xsl:text>
		<xsl:text>		\frame{\titlepage}</xsl:text>
				<xsl:apply-templates select="schedule/appointment"/>
		<xsl:text>\end{document}</xsl:text>
	</xsl:template>
	<!--***************************************************************
      ** "appointment" template
      ************************************************************-->
	<xsl:template match="appointment">
		<xsl:text>\frame {</xsl:text>
			<xsl:text>Appointment\\</xsl:text>
			<xsl:apply-templates select="when"/>
			<xsl:text>\begin{center}</xsl:text>
			<xsl:text>\begin{tabular}{ll}</xsl:text>
			<xsl:text>Subject: &amp; </xsl:text> <xsl:value-of select="subject"/> <xsl:text> \\ </xsl:text>
			<xsl:text>Location: &amp; </xsl:text> <xsl:value-of select="location"/> <xsl:text> \\ </xsl:text>
			<xsl:text>Note: &amp; </xsl:text> <xsl:value-of select="note"/> <xsl:text></xsl:text>
			<xsl:text>\end{tabular} </xsl:text>
			<xsl:text>\end{center} </xsl:text>
			
		<xsl:text> } </xsl:text>

	</xsl:template>
	<!--****************************************************************
	     ** "when" template
	     *************************************************************-->
	<xsl:template match="when">
		
			<xsl:value-of select="date/@month"/>
			<xsl:text>/</xsl:text>
			<xsl:value-of select="date/@day"/>
			<xsl:text>/</xsl:text>
			<xsl:value-of select="date/@year"/>
			from
			<xsl:value-of select="startTime/@hour"/>
			<xsl:text>:</xsl:text>
			<xsl:value-of select="startTime/@minute"/>
			until
			<xsl:value-of select="endTime/@hour"/>
			<xsl:text>:</xsl:text>
			<xsl:value-of select="endTime/@minute"/>

	</xsl:template>
</xsl:stylesheet>
