import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;

public class XSLTServlet extends HttpServlet {

	public void init(ServletConfig config) throws ServletException {
		super.init(config);
	}

	// By redirecting our doGets to the doPost method we can have a stylesheet
	// executed from a link
	// ex. <a href="xsl?stylesheet=detail&invoiceNum=00002">00002
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		doPost(request, response);
	}

	// Process the HTTP Post request
	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		PrintWriter out = new PrintWriter(response.getOutputStream());

		// Get the stylesheet selected by the user
		String stylesheet = request.getParameter("stylesheet");

		// Get the invoice number selected by the user, this is used only for
		// certain
		// stylesheets. If it is not present, the stylesheet won't use it.
		String invoiceNum = request.getParameter("invoiceNum");

		// Prepare FileReaders for the stylesheet and XML
		FileReader xslReader = new FileReader(".\\javaworld\\xsl\\"
				+ stylesheet + ".xsl");
		FileReader xmlReader = new FileReader(".\\javaworld\\xml\\"
				+ "invoice.xml");

		response.setContentType("text/html");
		try {
			// Create an instance of a Transformer
			TransformerFactory transFact = TransformerFactory.newInstance();
			Transformer trans = transFact.newTransformer(new StreamSource(
					xslReader));
			// Set the invoice number parameter
			trans.setParameter("invoiceNum", invoiceNum);

			// Process the stylesheet, all the output will go straight
			// out to the browser.
			trans.transform(new StreamSource(xmlReader), new StreamResult(out));

		} catch (TransformerConfigurationException e) {
			out.write(e.getMessage());
			e.printStackTrace(out);
		} catch (TransformerException e) {
			out.write(e.getMessage());
			e.printStackTrace(out);
		}
		out.close();
	}

	// Get Servlet information
	public String getServletInfo() {
		return "XSLTServlet Information";
	}
}
